# kpanic.h File Reference

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Defines

#define | K_PANIC(msg) kpanic("Error: (%s), File: %s, Line: %i\n",msg ,__FILE__,__LINE__);

## Functions

void | kpanic (const char *fmt,...)
| print panic message and halt system

## Define Documentation

#define K_PANIC | ( | msg |  | ) | kpanic("Error: (%s), File: %s, Line: %i\n",msg ,__FILE__,__LINE__);

Definition at line 33 of file kpanic.h.

Referenced by __assert(), __sysctl(), devfs_initialize(), elf_loadfile(), execFile(), keyboardHandler(), ldEnable(), obreak(), sys_exec(), sysExec(), vmm_getFreeMallocPage(), vmm_init(), vmm_pagingInit(), vmm_remapPage(), vmmGetFreeKernelPage(), vmmGetFreeVirtualPage(), and vmmMapFromTask().

## Function Documentation

void kpanic | ( | const char * | fmt,
|  |  | ... |
| ) |  |  |

print panic message and halt system

Parameters:

  | fmt | panic message

Definition at line 42 of file kpanic.c.

References irqDisable(), kprintf(), NULL, tty_foreground, vaEnd, vaStart, and vsprintf().

Referenced by _int0(), _int1(), _int10(), _int11(), _int12(), _int13(), _int2(), _int3(), _int4(), _int5(), _int6(), _int8(), _int9(), cpuidDetect(), cpuInfo(), dp_recv(), execFile(), execThread(), getEmptyDesc(), insertFreeDesc(), kmain(), kmod_load(), PCtoNIC(), readUbixFS(), sched_init(), schedNewTask(), sysExec(), systemTask(), tty_change(), tty_init(), ubixfs_init(), ubixfs_thread(), ufs_init(), vitals_init(), vmm_pageFault(), vmm_setPageAttributes(), vmmCopyVirtualSpace(), vmmFindFreePage(), vmmGetFreePage(), and vmmGetFreeVirtualPage().

Here is the call graph for this function: